
  "LICENSE": "                                 Apache License\n                           Version 2.0, January 2004\n                        http://www.apache.org/licenses/\n\n   TERMS AND CONDITIONS FOR USE, REPRODUCTION, AND DISTRIBUTION\n\n   1. Definitions.\n      \"License\" shall mean the terms and conditions for use, reproduction, and\n      distribution as defined by Sections 1 through 9 of this document.\n\n   2. Grant of License.\n      Subject to the terms and conditions of this License, each Contributor hereby\n      grants to You a perpetual, worldwide, non-exclusive, no-charge, royalty-free,\n      irrevocable (except as stated in this License) patent license to make, have made,\n      use, offer to sell, sell, import, and otherwise transfer the Work. \n\n   (For brevity, please copy the full Apache License 2.0 text from https://www.apache.org/licenses/LICENSE-2.0)\n",
  "README.md": "# RC Test Generator\n\n`rc-test-generator` is a Python package designed to generate comprehensive HTTP test cases for APIs, including regular, edge case, and security test scenarios.\n\n## Features\n- Generate regular tests for API endpoints.\n- Test edge cases with extreme inputs.\n- Validate API security against vulnerabilities like SQL injection, XSS, and more.\n\n## Installation\nInstall the package using pip:\n```bash\npip install -e .\n```\n\n## Usage\n1. Create a `.env` file with your API key:\n   ```plaintext\n   MISTRAL_API_KEY=your_api_key_here\n   ```\n\n2. Run the `generate_tests_for_directory` function:\n   ```python\n   from rc.test_generator import generate_tests_for_directory\n   from rc.utils.model_integration import initialize_model\n\n   model = initialize_model()\n   generate_tests_for_directory(\"path/to/your/python/files\", model)\n   ```\n\n## Configuration\n- **Server Address and Prefix Path**: The generated `.http` test files include placeholders for the server address (`SERVER_ADDRESS`) and prefix path (`PREFIX_PATH`). Configure them as needed.\n\n## License\nThis project is licensed under the Apache License 2.0. See the LICENSE file for details.",
  "requirements.txt": "pydantic>=1.10\npython-dotenv>=1.0\nlangchain-mistralai>=0.1.0",
  "setup.py": "from setuptools import setup, find_packages\n\nsetup(\n    name=\"rc-test-generator\",\n    version=\"0.1.0\",\n    description=\"A Python package to generate HTTP test cases for APIs.\",\n    author=\"Your Name\",\n    author_email=\"your.email@example.com\",\n    license=\"Apache License 2.0\",\n    packages=find_packages(where=\"src\"),\n    package_dir={\"\": \"src\"},\n    install_requires=[\n        \"pydantic>=1.10\",\n        \"python-dotenv>=1.0\",\n        \"langchain-mistralai>=0.1.0\"\n    ],\n    classifiers=[\n        \"Programming Language :: Python :: 3\",\n        \"License :: OSI Approved :: Apache Software License\",\n        \"Operating System :: OS Independent\"\n    ],\n    python_requires=\">=3.8\",\n)"

